Re: NetBSD 10.0 - configure test process hang

Riccardo Mottola <[email protected]>
Newsgroups gmane.os.netbsd.ports.sparc
Message-ID <[email protected]>
Hi,

Robert Elz wrote:
> Use ps's 'l' flag (at least once) when examining these kinds of things.
> 
> 
> No idea why nanosleep() would not be working on a sparc though (on
> 10.0 there are some sleep related issues which can occur - not something
> I'd expect to matter here though, and the effect was usually not sleeping
> long enough, rather than sleeping too long - or forever).


ok, ps -al.

Now the box did build for some time and in gdk it hangs. I have

[56/255] Compiling C object gdk-pixbuf/libpixbufloader-qtif.so.p/io-qtif.c.o
../gdk-pixbuf/io-qtif.c: In function
'gdk_pixbuf__qtif_image_load_increment':
../gdk-pixbuf/io-qtif.c:441:33: warning: cast increases required
alignment of target type [-Wcast-align]
  441 |                 QtHeader *hdr = (QtHeader *)context->header_buffer;
      |                                 ^
[248/255] Generating docs/man-gdk-pixbuf-query-loade... custom command
(wrapped by meson to capture output

and sits here forever.. I check, CPUs are idle

   0  1406     1     0  85  0  5872  392 ttyraw Is+  ttya  0:00.11
/usr/libexec/getty suncons constty
1000  2040  1949     0  85  0  7084  524 pause  Is   pts/0 0:00.54 -csh
   0  2638  2040     0  85  0 12976  956 poll   I+   pts/0 0:40.47 sudo
make install
   0  1736  7001 12535  82  0  6188 1608 wait   I+   pts/1 0:00.39
/bin/sh -c set -e;\t\t\t\t\t\t\t\t test -n "" && echo 1>&2 "ERROR:"  &&
exit 1;  exec 3<&0;\t\t\t\t\t\t\t while read type pattern dir;
do\t\t\t\t\t test "$type" != "bootstrap" || continue;\t
   0  6057 29639 22604  80  0 10916 3628 select I+   pts/1 0:07.52 ninja
-j 2 -C output
   0  7001 28722 24948  79  0  8104 3308 wait   I+   pts/1 0:13.90
/usr/bin/make LOWER_OPSYS=netbsd PKG_BUILD_OPTIONS.libxml2= inet6
PKG_BUILD_OPTIONS.gnutls=  PKG_BUILD_OPTIONS.gtk3= cups gtk3-atk-bridge
x11 PKG_BUILD_OPTIONS.pango= x11 PKG_BUILD_OPTIONS.f
   0 11612 22302  3639  85  0  8152  592 wait   I+   pts/1 0:06.26 make
install
   0 16410 11612  6007  84  0  6228  668 wait   I+   pts/1 0:00.14
/bin/sh -c set -e;\t\t\t\t\t\t\t\t test -n "" && echo 1>&2 "ERROR:"  &&
exit 1;  exec 3<&0;\t\t\t\t\t\t\t while read type pattern dir;
do\t\t\t\t\t test "$type" != "bootstrap" || continue;\t
   0 17076  6057 51657  32  0 19524 3292 parked Il   pts/1 0:04.96
/disk2/pkg-workdir/graphics/gdk-pixbuf2/work/.buildlink/bin/glib-compile-resources
../tests/resources.gresource.xml (glib-compile-res)
   0 22302  2638  1332  85  0 12976  492 poll   Is   pts/1 0:00.03 sudo
make install
   0 24416 29612 14880  82  0  6132 1592 wait   I+   pts/1 0:00.08
/bin/sh -c set -e;\t\t\t\t\t if test -n "" &&  /usr/sbin/pkg_info -K
/var/db/pkg -qe gdk-pixbuf2-2.42.10nb4; then  echo ===\\> "Skipping
installation of already handled package";  else  cd /
   0 27348 17076     0   0  0     0    0 -      Z    pts/1 0:00.00
(gdk-pixbuf-pixda)
   0 28722 29395 13704  82  0  6228  984 wait   I+   pts/1 0:00.42
/bin/sh -c set -e;\t\t\t\t\t\t\t\t test -n "" && echo 1>&2 "ERROR:"  &&
exit 1;  exec 3<&0;\t\t\t\t\t\t\t while read type pattern dir;
do\t\t\t\t\t test "$type" != "bootstrap" || continue;\t
   0 29395 16410 21357  80  0  8152  596 wait   I+   pts/1 0:16.55
/usr/bin/make _MAKE=/usr/bin/make OPSYS=NetBSD OS_VERSION=10.0
OPSYS_VERSION=100000 LOWER_OPSYS=netbsd _PKGSRCDIR=/usr/pkgsrc
PKGTOOLS_VERSION=20210410 UNPRIVILEGED_USER=root UNPRIVILEGED_GR
   0 29612  1736 14162  82  0  8280 3324 wait   I+   pts/1 0:09.99
/usr/bin/make LOWER_OPSYS=netbsd PKG_BUILD_OPTIONS.libcups= dbus dnssd
kerberos PKG_BUILD_OPTIONS.heimdal= inet6 kerberos-prefix-cmds
_AUTOMATIC=yes package-install
   0 29639 24416 24576  79  0  7836 3200 wait   I+   pts/1 0:20.81
/usr/bin/make LOWER_OPSYS=netbsd _PKGSRC_BARRIER=yes
ALLOW_VULNERABLE_PACKAGES= package-install


not very readable, but ninja remain in "select".... what is fail.

The bad news is that it is not just configure ailing, but random
processes may hang.


Riccardo
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.